
Ruby - Bug #12778

Segmentation Fault in win32ole on Ruby 2.3.1p112 [x64-mingw32] when creating Windows Share

09/20/2016 12:51 PM - rlaveycal (Richard Lavey)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.3.1p112 (2016-04-26 revision

54768) [x64-mingw32]

Backport: 2.2: DONE, 2.3: DONE

Description

Whilst using ruby to create a shared folder on Windows I encountered a seg fault. This reproduces the issue on Windows 2012R2.

\Ruby23-x64\bin\ruby -rwin32ole -e 'wmi = WIN32OLE.connect("winmgmts://"); share = wmi.get("Win32_Share"); puts

share.create("c:\\test2", "test", 0, 16777216, "", nil, nil)'

The stack dump is attached

c:0003 p:---- s:0018 e:000017 CFUNC  :method_missing

 The cause is the empty string in the call to create(). Changing this to nil or a non-empty string works. The x86 version of Ruby is

unaffected.

Related issues:

Has duplicate Ruby - Bug #11880: blank string makes Win32ole crush Closed

History

#1 - 09/25/2016 12:30 AM - suke (Masaki Suketa)

- Backport changed from 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3: UNKNOWN to 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3: DONE

Thank you for your reporting.

This issue is same as #11880.

And I confirmed it works in ruby 2.3.2p182.

#2 - 09/25/2016 12:31 AM - suke (Masaki Suketa)

- Has duplicate Bug #11880: blank string makes Win32ole crush added

#3 - 09/25/2016 12:42 AM - suke (Masaki Suketa)

- Backport changed from 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3: DONE to 2.1: UNKNOWN, 2.2: DONE, 2.3: DONE

#4 - 09/25/2016 12:43 AM - suke (Masaki Suketa)

- Status changed from Open to Closed

- Backport changed from 2.1: UNKNOWN, 2.2: DONE, 2.3: DONE to 2.2: DONE, 2.3: DONE
